## weston 0.95.0

=== debian/changelog ===
weston (0.95.0-0ubuntu1) quantal; urgency=low

  * Merge from unreleased debian git.

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Thu, 23 Aug 2012 18:02:55 +0300

weston (0.95.0-1) UNRELEASED; urgency=low

  * New upstream release.
  * Add a watch file.
  * control: Add missing build-depends: libmtdev-dev, libxcursor-dev,
    libpam0g-dev, libvpx-dev.
  * Switch to source format 3.0 (quilt) due to xz tarballs.
  * control: Bump the build-depends on libxkbcommon-dev to (>= 0.1.0~2).
  * rules: Make the test run failure non-fatal, since it doesn't work
    properly in headless-mode.
  * weston.install: Add new files.
  * control: Bump build-depends on mesa derived components to 9.0~.

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Thu, 16 Aug 2012 20:52:23 +0300

weston (0.85.0-1) experimental; urgency=low

  * Initial release (Closes: #630809).
  * Build without setuid for weston; it's very young and experimental, so
    let's be cautious.
  * Document weston's setuid bit (or lack thereof) in README.Debian.
  * Tiny/toy clients will be shipped in a later upload.
  * Restrict to linux-any since wayland isn't as portable as X.
  * Make sure the following packages are at least at 8.0-2 in the
    generated dependencies: libegl1-mesa, libegl1-mesa-drivers, and
    libgles2-mesa.

 -- Cyril Brulebois <kibi@debian.org>  Tue, 21 Feb 2012 23:58:19 +0100
