## weston 1.0.3

=== debian/changelog ===
weston (1.0.3-0ubuntu1) raring; urgency=low

  * New upstream release
  * debian/control:
    - Add build-depends on sed
    - Use standards-version 3.9.4
  * weston.install:
    - Updated

 -- Robert Ancell <robert.ancell@canonical.com>  Thu, 10 Jan 2013 10:01:50 +1300

weston (0.95.0-0ubuntu2) quantal; urgency=low

  * debian/control: added Homepage field
  * debian/control: bump Standards-Version to 3.9.3 

 -- Benjamin Kerensa <bkerensa@ubuntu.com>  Thu, 13 Sep 2012 02:33:39 -0700
