=== debian/control ===
--- 
+++ 
@@ -30,7 +30,9 @@
  libmtdev-dev,
  libpam0g-dev,
  libvpx-dev,
-Standards-Version: 3.9.2
+ sed,
+Standards-Version: 3.9.4
+Homepage: http://wayland.freedesktop.org/
 Vcs-Git: git://git.debian.org/git/pkg-xorg/wayland/weston
 Vcs-Browser: http://git.debian.org/?p=pkg-xorg/wayland/weston.git
