## weston 1.3.0

=== debian/changelog ===
weston (1.3.0-1ubuntu1) trusty; urgency=low

  * rules, weston.install: Build using --with-cairo=image, since our cairo
    disabled the gl backend. Don't try to install the screensaver.

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Thu, 07 Nov 2013 18:10:33 +0200

weston (1.3.0-1) unstable; urgency=low

  [ Sven Joachim ]
  * Bump libwayland-dev build-depends to (>= 1.2.0).

  [ Laurent Bigonville ]
  * debian/rules:
    - Install weston-launch with setuid bit set (LP: #1102597)
    - Set libexec path to /usr/lib/weston
  * debian/weston.lintian-overrides: Add override for the mode of weston-launch
    executable
  * debian/weston.examples: Install weston.ini as an example file
  * debian/weston.postinst: Create weston-launch group on installation
    (LP: #1203017)
  * debian/control, debian/weston.install: Enable colord support
  * debian/README.Debian: Fix directions on how to run weston under KMS
    (Closes: #714379)
  * debian/control: Add a dependency against adduser
  * debian/control: Use canonical URL's for Vcs field

  [ Timo Aaltonen ]
  * rules: Explicitly enable cairo-gl so that weston-screensaver gets
    built.

  [ Hector Oron ]
  * New upstream release (1.3.0) (Closes: #719144).
  * Add myself to Uploaders.
  * Switch Debian source format to 3.0 quilt

 -- Hector Oron <zumbi@debian.org>  Fri, 11 Oct 2013 13:03:04 +0200

weston (1.1.1-1) experimental; urgency=low

  [ Timo Aaltonen ]
  * New upstream release (Closes: #675138, #699045).
  * Add a watch file.
  * control: Add missing build-depends: libmtdev-dev, libxcursor-dev,
    libpam0g-dev, libvpx-dev.
  * Use source format 1.0.
  * control: Bump the build-depends on libxkbcommon-dev to (>= 0.1.0~2).
  * rules: Make the test run failure non-fatal, since it doesn't work
    properly in headless-mode.
  * weston.install: Add new files.
  * control: Bump build-depends on mesa derived components to 9.0~.
  * control, compat: Switch to debhelper 9.
  * control: Bump policy to 3.9.4, no changes.
  * control: Added homepage (Closes: #687571).
  * Add README.source.
  * patches/series: Add a placeholder file.

  [ Sven Joachim ]
  * Configure with --disable-libunwind until libunwind starts shipping
    pkg-config files (see #711854).
  * Add build-dependencies on libsystemd-login-dev and libglu1-mesa-dev.

  [ Mike Gabriel ]
  * control: add libgl1-mesa-dri to Recommends: field. (Closes: #714351).
  * control: add myself to Uploaders: field.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 28 Jun 2013 14:31:18 +0200
