=== debian/watch ===
#git=git://anongit.freedesktop.org/wayland/weston
version=3
http://wayland.freedesktop.org/releases/weston-(.*)\.tar\.xz
