## weston 1.7.0-0ubuntu1

=== debian/changelog ===
weston (1.7.0-0ubuntu1) vivid; urgency=medium

  * Sync from debian experimental git.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 19 Feb 2015 10:43:36 +0200

weston (1.7.0-1) UNRELEASED; urgency=medium

  * New upstream release.
  * control: Bump libinput and libwayland-dev build-deps.
  * install: Add new files.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 10 Feb 2015 19:47:34 +0200

weston (1.6.1-1) experimental; urgency=medium

  * New upstream bugfix release:
    - compositor fixes
    - input fixes
    - shell fixes
  * d/control: bump standards version, no changes needed.

 -- Hector Oron <zumbi@debian.org>  Sat, 24 Jan 2015 10:20:02 +0100

weston (1.6.0-2) unstable; urgency=medium

  * Switch back to use upstream tarball.

 -- Hector Oron <zumbi@debian.org>  Tue, 23 Sep 2014 17:49:21 +0200

weston (1.6.0-1) unstable; urgency=medium

  * New upstream release.
  * Fix "weston-terminal: exits under load"
    - Thanks Rémi Denis-Courmont for report.
    (Closes: #760043)

 -- Hector Oron <zumbi@debian.org>  Fri, 19 Sep 2014 16:38:47 +0200

weston (1.5.93-2) unstable; urgency=medium

  [ Hector Oron ]
  * d/control:
    + allow third party graphic stacks
    + update EGL wayland driver library

  [ Emilio Pozuelo Monfort ]
  * Upload to unstable.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Tue, 16 Sep 2014 22:43:37 +0200

weston (1.5.93-1) experimental; urgency=medium

  * New upstream development release.
  * d/patches/*: drop them.
  * d/control:
    + bump wayland version requirement for build.
    + bump build depend on libinput-dev.
  * Upload to experimental. 

 -- Hector Oron <zumbi@debian.org>  Fri, 12 Sep 2014 18:28:31 +0200

weston (1.5.0-3) unstable; urgency=medium

  * d/p/0001-libinput-Use-floating-point-instead-of-fixed-point-n.patch,
    d/p/0001-Require-libinput-0.4.0.patch,
    debian/control:
    + Build against libinput 0.5.0.
  * debian/weston.install,
    debian/rules:
    + Disable cairo-gl support. It causes trouble in some embedded platforms
      so we're disabling its support, at least for now.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Fri, 05 Sep 2014 02:14:06 +0200

weston (1.5.0-2) unstable; urgency=medium

  * debian/control,
    debian/rules:
    + Enable libinput backend.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sun, 01 Jun 2014 17:25:06 +0200

weston (1.5.0-1) unstable; urgency=medium

  * Add myself to Uploaders.
  * New upstream release.
  * Switch back to source format 1.0 for now.
  * debian/control:
    + Drop librsvg2-bin build dependency, no longer needed.
  * debian/clean:
    + Dropped, no longer needed.
  * debian/weston.install:
    + Fix path for demo clients.
    + Install the fullscreen shell.
  * debian/patches/0001-animation-fix-move-scale-animation.patch:
    + Patch from Jonny Lamb, taken from wayland-devel@, that fixes
      move animations, as triggered e.g. by exposay.
  * d/p/0001-exposay-fix-crash-when-navigating-with-the-keyboard.patch:
    + New patch, fix a crash in exposay.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sat, 24 May 2014 02:53:44 +0200

weston (1.4.0-1) unstable; urgency=medium

  * New upstream release 1.4.0:
    - Window buttons for xwayland windows and proper decorations for the
      nested compositor (wayland backend)
    - Make the gl-renderer a loadable module and make it possible to
      switch from pixman to gl renderer at runtime.  This lets the
      compositor start up faster, since we can load the gl-renderer and
      initialize EGL+GLES2 later in the startup
    - Support framebuffer formats other than XRGB8888 (gbm-format config
      value under [core] section).
    - Use logind for privileged access.  logind can now do the this that
      weston-launch used to do: drm drop/set master and opening input
      devices.  With this, weston can run on KMS without the
      weston-launch setuid helper.
    - struct weston_surface split into struct weston_surface and struct
      weston_view.  This is a weston-internal feature, that makes it
      possible to display a surface in multiple places in the compositor.
    - Better output unplug handling.  We used to crash and in general not
      handle output (monitor) unplug at all.  We now clean up properly
      and move windows back into the visible region when their output is
      unplugged.
    - Keyboard focus animation and exposay (exposé-like window picker)
    - More touch screen support, including touch-to-move and
      touch-to-activate for surfaces, touch screen drag-and-drop
    - Started work on xdg-shell protocol.  The xdg-shell is a more format
      attempt at developing a protocol for the interaction between
      applications and a desktop environmet.  The wl_shell protocol
      currently in wayland was always only a place-holder to help
      boot-strap toolkit support.  Now that GNOME Shell is moving to
      Wayland, we have a full-featured desktop to drive the work and we
      can start the effort in earnest
    - Nested compositor buffer pass-through.  We specified a new EGL
      extension to allow a nested compositor to pass buffers through to
      the underlying compositor.  This lets the nested compositor skip
      rendering and instead present the contents using a subsurface or
      such in the underlying compositor
    - Crop and scale protocol.  This protocol, which we're initially
      staging in weston, lets a client specify that a only sub-rectangle
      of it's surface should be presented, and potentially scaled up.
    - weston-terminal gained scrollback history, use Ctrl+Shift UP/DOWN
      to scroll.  Added a context menu for easy access to copy/paste/new
      terminal (which have always been available as Ctrl-Shift-C/V/N)
  * d/control: update
    + bump standards version
    + build depend on librsvg2-bin for PNG file generation.
    + add build dependency against libxcb-composite0-dev for build
    + add build-dependency against libxcb-xkb-dev (Closes: #733229)

