=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: weston
 Section: x11
 Priority: optional
-Maintainer: Ubuntu X-SWAT <ubuntu-x@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
+Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
 Uploaders:
  Cyril Brulebois <kibi@debian.org>,
  Mike Gabriel <sunweaver@debian.org>,
  Héctor Orón Martínez <zumbi@debian.org>,
+ Emilio Pozuelo Monfort <pochu@debian.org>,
 Build-Depends:
  debhelper (>= 9),
  quilt,
@@ -21,22 +21,26 @@
  libegl1-mesa-dev (>= 9.0~),
  libegl1-mesa-drivers (>= 9.0~),
  libgles2-mesa-dev (>= 9.0~),
- libwayland-dev (>= 1.2.0),
+ libwayland-dev (>= 1.6.93),
  libxcb1-dev,
+ libxcb-composite0-dev,
  libxcb-xfixes0-dev,
+ libxcb-xkb-dev,
  libx11-xcb-dev,
  libx11-dev,
  libudev-dev,
  libgbm-dev,
  libxkbcommon-dev (>= 0.1.0~2),
  libcairo2-dev,
+ libpango1.0-dev,
  libgdk-pixbuf2.0-dev,
  libxcursor-dev,
  libmtdev-dev,
  libpam0g-dev,
  libvpx-dev,
  libsystemd-login-dev,
-Standards-Version: 3.9.4
+ libinput-dev (>= 0.8.0),
+Standards-Version: 3.9.6
 Homepage: http://wayland.freedesktop.org/
 Vcs-Git: git://anonscm.debian.org/pkg-xorg/wayland/weston
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-xorg/wayland/weston.git
@@ -45,9 +49,9 @@
 Architecture: linux-any
 Depends:
  adduser,
- libegl1-mesa (>= 8.0-2),
- libegl1-mesa-drivers (>= 8.0-2),
- libgles2-mesa (>= 8.0-2),
+ libegl1-mesa (>= 8.0-2) | libegl1-x11,
+ libwayland-egl1-mesa (>= 10.1.0-2) | libwayland-egl1,
+ libgles2-mesa (>= 8.0-2) | libgles2,
  ${shlibs:Depends},
  ${misc:Depends},
 Recommends:
