=== debian/control ===
--- 
+++ 
@@ -3,7 +3,6 @@
 Priority: optional
 Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
 Uploaders:
- Cyril Brulebois <kibi@debian.org>,
  Mike Gabriel <sunweaver@debian.org>,
  Héctor Orón Martínez <zumbi@debian.org>,
  Emilio Pozuelo Monfort <pochu@debian.org>,
