=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 override_dh_auto_configure:
 	dh_auto_configure -- --disable-libunwind --libexec=/usr/lib/weston \
-		--with-cairo=image
+		--with-cairo=image --enable-libinput-backend
 
 override_dh_auto_test:
 	# the test suite does not 100% pass in headless mode
