## weston 6.0.1

=== debian/changelog ===
weston (6.0.1-2ubuntu10) focal; urgency=medium

  * Boundary rebuild for focal
  * tag: rel_imx_4.19.35_1.1.0
  * g2d-renderer: refine enable overlay view feature

 -- Laci Tele <laci@boundarydevices.com>  Mon, 14 Dec 2020 06:47:38 -0800

weston (5.0.0-3) unstable; urgency=medium

  * debian/control: add libdbus-1-dev to Build-Depends
    - Fixes "won't start despite having an active logind session"
    (Closes: #799325)
    Thanks Paul Menzel for analysis.
  * debian/patches/reproducible-build-899358.patch: new patch
    - Make the build reproducible
    (Closes: #899358)

 -- Héctor Orón Martínez <zumbi@debian.org>  Thu, 28 Mar 2019 14:11:26 +0100

weston (5.0.0-2) unstable; urgency=medium

  [ Emilio Pozuelo Monfort ]
  * Update copyright holder years.

  [ Sven Joachim ]
  * Add liblcms2-dev to Build-Depends (Closes: #921763).

 -- Héctor Orón Martínez <zumbi@debian.org>  Mon, 11 Feb 2019 10:12:16 +0100

weston (5.0.0-1) unstable; urgency=medium

  * Update build dependencies.
  * Update the watch file for the new upstream website layout.
  * New upstream release.
  * Bump libdrm-dev and libgbm-dev build dependencies.
  * Rename packages for soname bump.
  * Update symbols file.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Tue, 18 Sep 2018 12:16:49 +0200

weston (4.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Rename packages for soname bump.
  * Update symbols.
  * Update Vcs-* for salsa.
  * Make libweston-4-dev priority optional.
  * Update copyright.
  * Enable systemd notify support. Closes: #886919.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sat, 19 May 2018 13:47:15 +0200

weston (3.0.0-1) unstable; urgency=medium

  [ Timo Aaltonen ]
  * New upstream release.
  * control, libweston*.{install,symbols, rules: Bump soversion.

  [ Emilio Pozuelo Monfort ]
  * debian/copyright: add missing copyright holders.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Thu, 14 Sep 2017 16:42:50 +0200

weston (1.12.0-3) unstable; urgency=medium

  * Remove useless dependency on libegl1-mesa-drivers.
  * Disable the freerdp backend for stretch. freerdp2 doesn't build
    everywhere and is not in testing, and the backend fails to build
    against our snapshot of freerdp 1.
  * Drop obsolete --enable-libinput-backend configure switch.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sun, 05 Feb 2017 10:57:54 +0100

weston (1.12.0-2) unstable; urgency=medium

  * Enable RDP compositor and screen sharing. Closes: #775855, #850658.
  * Fix build with freerdp2. Patch based on one from John Moser in #850658.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Mon, 16 Jan 2017 23:46:48 +0100

weston (1.12.0-1) unstable; urgency=medium

  * New upstream release. Closes: #841735.
  * Ship the shared libraries in libweston-1-0 and libweston-1-dev.
  * Bump debhelper compat to 10.
    + debhelper now calls dh-autoreconf automatically.
  * No need to pass --destdir=debian/tmp to dh_auto_install now that we
    have multiple binary packages.
  * Update copyright.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Wed, 07 Dec 2016 19:17:42 +0100

weston (1.11.94-1) experimental; urgency=medium

  * New upstream release.
  * debian/weston.install: use wildcards for libweston{,-desktop}.so.*.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Wed, 14 Sep 2016 12:49:23 +0200

weston (1.11.91-1) experimental; urgency=medium

  * New upstream pre-release.

 -- Héctor Orón Martínez <zumbi@debian.org>  Thu, 18 Aug 2016 16:36:44 +0200

weston (1.11.0-1) unstable; urgency=medium

  * New upstream release

 -- Héctor Orón Martínez <zumbi@debian.org>  Thu, 02 Jun 2016 13:31:22 +0200

weston (1.10.0-1) unstable; urgency=medium

  * New upstream release

 -- Héctor Orón Martínez <zumbi@debian.org>  Wed, 01 Jun 2016 13:35:05 +0200

weston (1.9.92-2) experimental; urgency=medium

  * d/control: tighten build depend libwayland-dev versioning.

 -- Héctor Orón Martínez <zumbi@debian.org>  Tue, 09 Feb 2016 00:00:10 +0100

weston (1.9.92-1) experimental; urgency=medium

  * New upstream release
  * d/control: build depend on wayland-protocols
  * d/watch: update https url
  * d/p/0001-Add-suport-for-new-libsystemd.patch: drop
    - merged upstream.

 -- Héctor Orón Martínez <zumbi@debian.org>  Sun, 07 Feb 2016 21:22:32 +0100

weston (1.9.0-3) unstable; urgency=medium

  * debian/patches/0001-Add-suport-for-new-libsystemd.patch:
    + Consistently check for libsystem.pc rather than libsystemd-login.pc
      to get session support for weston-launch.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sun, 01 Nov 2015 17:32:38 +0100

weston (1.9.0-2) unstable; urgency=medium

  * d/control: tighten versioned build depends

 -- Héctor Orón Martínez <zumbi@debian.org>  Sun, 27 Sep 2015 12:26:29 +0200

weston (1.9.0-1) unstable; urgency=medium

  * New upstream release

 -- Héctor Orón Martínez <zumbi@debian.org>  Sun, 27 Sep 2015 00:18:22 +0200

weston (1.8.0-3) unstable; urgency=medium

  * Add support for new libsystemd.
    (Closes: #779754)

 -- Hector Oron <zumbi@debian.org>  Tue, 01 Sep 2015 13:32:59 +0200

weston (1.8.0-2) unstable; urgency=medium

  * d/control: bump wayland versioned build dependency

 -- Hector Oron <zumbi@debian.org>  Sat, 13 Jun 2015 02:49:22 +0200

weston (1.8.0-1) unstable; urgency=medium

  * New upstream release.

 -- Hector Oron <zumbi@debian.org>  Sat, 13 Jun 2015 02:10:31 +0200
