=== debian/watch ===
#git=git://anongit.freedesktop.org/wayland/weston
version=3
https://wayland.freedesktop.org/releases.html releases/weston-(.*)\.tar\.xz
