## weston 9.0.0

=== meson_options.txt ===
--- 
+++ 
@@ -124,6 +124,12 @@
 	value: true,
 	description: 'Weston shell UI: IVI (automotive)'
 )
+option(
+	'shell-kiosk',
+	type: 'boolean',
+	value: true,
+	description: 'Weston shell UI: kiosk (desktop apps)'
+)
 
 option(
 	'desktop-shell-client-default',
@@ -205,6 +211,12 @@
 	description: 'Tests: output JUnit XML results'
 )
 option(
+	'test-gl-renderer',
+	type: 'boolean',
+	value: true,
+	description: 'Tests: allow running with GL-renderer'
+)
+option(
 	'doc',
 	type: 'boolean',
 	value: false,
