## weston 10.0.1

=== meson_options.txt ===
--- 
+++ 
@@ -45,10 +45,10 @@
 	description: 'Weston backend: X11 (nested)'
 )
 option(
-	'backend-fbdev',
-	type: 'boolean',
-	value: true,
-	description: 'Weston backend: fbdev'
+	'deprecated-backend-fbdev',
+	type: 'boolean',
+	value: false,
+	description: 'Weston backend: fbdev (deprecated)'
 )
 option(
 	'backend-default',
@@ -66,10 +66,10 @@
 )
 
 option(
-	'weston-launch',
-	type: 'boolean',
-	value: true,
-	description: 'Weston launcher for systems without logind'
+	'deprecated-weston-launch',
+	type: 'boolean',
+	value: false,
+	description: 'Deprecated weston launcher for systems without logind'
 )
 
 option(
@@ -139,10 +139,17 @@
 )
 
 option(
+	'deprecated-wl-shell',
+	type: 'boolean',
+	value: false,
+	description: 'Enable the deprecated wl_shell protocol'
+)
+
+option(
 	'color-management-lcms',
 	type: 'boolean',
 	value: true,
-	description: 'Compositor color management: lcms'
+	description: 'Compositor color management: Little CMS'
 )
 option(
 	'color-management-colord',
@@ -156,6 +163,13 @@
 	type: 'boolean',
 	value: true,
 	description: 'Compositor: support systemd-logind D-Bus protocol'
+)
+
+option(
+	'launcher-libseat',
+	type: 'boolean',
+	value: false,
+	description: 'Compositor: support libseat'
 )
 
 option(
@@ -186,7 +200,7 @@
 option(
 	'simple-clients',
 	type: 'array',
-	choices: [ 'all', 'damage', 'im', 'egl', 'shm', 'touch', 'dmabuf-v4l', 'dmabuf-egl' ],
+	choices: [ 'all', 'damage', 'im', 'egl', 'shm', 'touch', 'dmabuf-feedback', 'dmabuf-v4l', 'dmabuf-egl' ],
 	value: [ 'all' ],
 	description: 'Sample clients: simple test programs'
 )
@@ -211,6 +225,12 @@
 	description: 'Tests: output JUnit XML results'
 )
 option(
+	'test-skip-is-failure',
+	type: 'boolean',
+	value: false,
+	description: 'Tests: consider skip to be a failure'
+)
+option(
 	'test-gl-renderer',
 	type: 'boolean',
 	value: true,
